<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="ee42983a169cde22" weblate-flags="read-only">
        <source>Messages</source>
        <target state="translated">Messages</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">12</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="dca5c7b30ee51156" weblate-flags="read-only">
        <source>Once a websocket session is established, messages can be sent unsolicited by either peer at any time. A message is made up of one or more ['messages frames]. Each frame is prefixed with the size of the payload in bytes, followed by the data. A frame also contains a flag (called 'fin') indicating whether or not it is the last frame of the message. When a message is made up from only one frame, it is possible to know immediately what the size of the message will be. Otherwise, the total size of the message can only be determined once the last frame is received.</source>
        <target state="translated">Once a websocket session is established, messages can be sent unsolicited by either peer at any time. A message is made up of one or more ['messages frames]. Each frame is prefixed with the size of the payload in bytes, followed by the data. A frame also contains a flag (called 'fin') indicating whether or not it is the last frame of the message. When a message is made up from only one frame, it is possible to know immediately what the size of the message will be. Otherwise, the total size of the message can only be determined once the last frame is received.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">14</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="44cde25135a9b415" weblate-flags="read-only">
        <source>The boundaries between frames of a multi-frame message are not not considered part of the message. Intermediaries such as proxies which forward the websocket traffic are free to "reframe" (split frames and combine them) the message in arbitrary ways. These intermediaries include Beast, which can reframe messages automatically in some cases depending on the options set on the stream.</source>
        <target state="translated">The boundaries between frames of a multi-frame message are not not considered part of the message. Intermediaries such as proxies which forward the websocket traffic are free to "reframe" (split frames and combine them) the message in arbitrary ways. These intermediaries include Beast, which can reframe messages automatically in some cases depending on the options set on the stream.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">23</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="97a09cb183239c80" weblate-flags="read-only">
        <source>An algorithm should never depend on the way that incoming or outgoing</source>
        <target state="translated">An algorithm should never depend on the way that incoming or outgoing</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">30</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0a9ff55560703eda" weblate-flags="read-only">
        <source>Messages can be either text or binary. A message sent as text must contain consist of valid utf8, while a message sent as binary may contain arbitrary data. In addition to message frames, websocket provides ['control frames] in the form of ping, pong, and close messages which have a small upper limit on their payload size. Depending on how a message is framed, control frames may have more opportunities to be sent in-between.</source>
        <target state="translated">Messages can be either text or binary. A message sent as text must contain consist of valid utf8, while a message sent as binary may contain arbitrary data. In addition to message frames, websocket provides ['control frames] in the form of ping, pong, and close messages which have a small upper limit on their payload size. Depending on how a message is framed, control frames may have more opportunities to be sent in-between.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">34</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="86dcc1f11dfdc692" weblate-flags="read-only">
        <source>Sending</source>
        <target state="translated">Sending</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">41</context>
        </context-group>
        <note from="developer">type: heading</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2f311bad9ee1583e" weblate-flags="read-only">
        <source>These stream members are used to write websocket messages:</source>
        <target state="translated">These stream members are used to write websocket messages:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">43</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="83b79d4d351b659e" weblate-flags="read-only">
        <source>WebSocket Stream Write Operations</source>
        <target state="translated">WebSocket Stream Write Operations</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">45</context>
        </context-group>
        <note from="developer">type: table title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="45" weblate-flags="read-only">
        <source>Function</source>
        <target state="translated">Function</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">45</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="45" weblate-flags="read-only">
        <source>Description</source>
        <target state="translated">Description</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">45</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fcf7b79c7629eee7" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__websocket__stream.write.overload2 `write`], [link beast.ref.boost__beast__websocket__stream.async_write `async_write`]</source>
        <target state="translated">[link beast.ref.boost__beast__websocket__stream.write.overload2 `write`], [link beast.ref.boost__beast__websocket__stream.async_write `async_write`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">45</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="56316a7e6cb0d187" weblate-flags="read-only">
        <source>Send a buffer sequence as a complete message.</source>
        <target state="translated">Send a buffer sequence as a complete message.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">45</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="764e7253ebee677e" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__websocket__stream.write_some.overload2 `write_some`], [link beast.ref.boost__beast__websocket__stream.async_write_some `async_write_some`]</source>
        <target state="translated">[link beast.ref.boost__beast__websocket__stream.write_some.overload2 `write_some`], [link beast.ref.boost__beast__websocket__stream.async_write_some `async_write_some`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">45</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="253cd3f06b26f62b" weblate-flags="read-only">
        <source>Send a buffer sequence as part of a message.</source>
        <target state="translated">Send a buffer sequence as part of a message.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">45</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cda5bb2872b7ec4d" weblate-flags="read-only">
        <source>This example shows how to send a buffer sequence as a complete message.</source>
        <target state="translated">This example shows how to send a buffer sequence as a complete message.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">63</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5c2825f3933bd8e1" weblate-flags="read-only">
        <source>The same message could be sent in two or more frames thusly.</source>
        <target state="translated">The same message could be sent in two or more frames thusly.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">67</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="90f9305e11335e54" weblate-flags="read-only">
        <source>Receiving</source>
        <target state="translated">Receiving</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">69</context>
        </context-group>
        <note from="developer">type: heading</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="50deaf0e1af5560d" weblate-flags="read-only">
        <source>WebSocket Stream Read Operations</source>
        <target state="translated">WebSocket Stream Read Operations</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">71</context>
        </context-group>
        <note from="developer">type: table title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="71" weblate-flags="read-only">
        <source>Function</source>
        <target state="translated">Function</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">71</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="71" weblate-flags="read-only">
        <source>Description</source>
        <target state="translated">Description</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">71</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ce46a6fcf1fd68bf" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__websocket__stream.read.overload2 `read`], [link beast.ref.boost__beast__websocket__stream.async_read `async_read`]</source>
        <target state="translated">[link beast.ref.boost__beast__websocket__stream.read.overload2 `read`], [link beast.ref.boost__beast__websocket__stream.async_read `async_read`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">71</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6e2147a9df352116" weblate-flags="read-only">
        <source>Read a complete message into a __DynamicBuffer__.</source>
        <target state="translated">Read a complete message into a __DynamicBuffer__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">71</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ac6f47ee38f92a06" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__websocket__stream.read_some.overload2 `read_some`], [link beast.ref.boost__beast__websocket__stream.async_read_some.overload1 `async_read_some`]</source>
        <target state="translated">[link beast.ref.boost__beast__websocket__stream.read_some.overload2 `read_some`], [link beast.ref.boost__beast__websocket__stream.async_read_some.overload1 `async_read_some`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">71</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c4a8b6703432ccf3" weblate-flags="read-only">
        <source>Read part of a message into a __DynamicBuffer__.</source>
        <target state="translated">Read part of a message into a __DynamicBuffer__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">71</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="10d6f0fac1010fa5" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__websocket__stream.read_some.overload4 `read_some`], [link beast.ref.boost__beast__websocket__stream.async_read_some.overload2 `async_read_some`]</source>
        <target state="translated">[link beast.ref.boost__beast__websocket__stream.read_some.overload4 `read_some`], [link beast.ref.boost__beast__websocket__stream.async_read_some.overload2 `async_read_some`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">71</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e1f7c24bc85891b0" weblate-flags="read-only">
        <source>Read part of a message into a __MutableBufferSequence__.</source>
        <target state="translated">Read part of a message into a __MutableBufferSequence__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">71</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c19354e0b49f6b5a" weblate-flags="read-only">
        <source>After the WebSocket handshake is accomplished, callers may send and receive messages using the message oriented interface. This interface requires that all of the buffers representing the message are known ahead of time:</source>
        <target state="translated">After the WebSocket handshake is accomplished, callers may send and receive messages using the message oriented interface. This interface requires that all of the buffers representing the message are known ahead of time:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">96</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d879da2cd18a6701" weblate-flags="read-only">
        <source>Frames</source>
        <target state="translated">Frames</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">108</context>
        </context-group>
        <note from="developer">type: heading</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="996e24dcafe06089" weblate-flags="read-only">
        <source>Some use-cases make it impractical or impossible to buffer the entire message ahead of time:</source>
        <target state="translated">Some use-cases make it impractical or impossible to buffer the entire message ahead of time:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">110</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="75464c35df5cd795" weblate-flags="read-only">
        <source>* Streaming multimedia to an endpoint.
* Sending a message that does not fit in memory at once.
* Providing incremental results as they become available.</source>
        <target state="translated">* Streaming multimedia to an endpoint.
* Sending a message that does not fit in memory at once.
* Providing incremental results as they become available.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">113</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a462c37c4be10ee4" weblate-flags="read-only">
        <source>For these cases, the partial data oriented interface may be used. This example reads and echoes a complete message using this interface:</source>
        <target state="translated">For these cases, the partial data oriented interface may be used. This example reads and echoes a complete message using this interface:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">117</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
    </body>
  </file>
</xliff>
